> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Applicant: ResMan

POST https://api.propexo.com/v1/applicants/resman/
Content-Type: application/json

Create Applicant: ResMan. When specifying a unit\_id, the unit must be available. To check if a unit is available, you can compare it to the listing object with the same property and unit\_number.| Interface         | Method                         |
| ----------------- | ------------------------------ |
| Lease Application | /MITS/PostLeaseApplication3\_0 |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/resman/applicants/create-applicant-res-man

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_applicants_resman__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lead_id` (string, required) — The Propexo unique identifier for the lead
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `application_date` (V1ApplicantsResmanPostInputApplicationDate, required) — The application date associated with the applicant
- `start_date` (V1ApplicantsResmanPostInputStartDate, required) — The start date associated with the lease
- `end_date` (V1ApplicantsResmanPostInputEndDate, required) — The end date associated with the lease
- `status` (enum, required) — The status associated with the application
  - Allowed values: `PENDING`, `APPROVED`, `CANCELED`, `DENIED`, `SIGNED`
- `first_name` (string, optional) — The first name associated with the applicant
- `last_name` (string, optional) — The last name associated with the applicant
- `date_of_birth` (V1ApplicantsResmanPostInputDateOfBirth, optional) — The date of birth associated with the applicant
- `address_1` (string, optional) — The first address line associated with the applicant
- `city` (string, optional) — The city associated with the applicant
- `state` (string, optional) — The state associated with the applicant
- `zip` (string, optional) — The zip code associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `HOME`, `MOBILE`, `WORK`
- `rent_amount_market_in_cents` (integer, optional) — The market rent amount in cents for the lease
- `move_in_date` (V1ApplicantsResmanPostInputMoveInDate, optional) — The move-in date associated with the lease
- `email_1` (string, optional, deprecated) — Deprecated: The email field from the lead will be the email of the applicant. The primary email address associated with the applicant

## Response

### 200

Successful response

- `meta` (V1ApplicantsResmanPostOutputMeta, required)
- `result` (V1ApplicantsResmanPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicantsResmanPostInputApplicationDate

The application date associated with the applicant

### V1ApplicantsResmanPostInputStartDate

The start date associated with the lease

### V1ApplicantsResmanPostInputEndDate

The end date associated with the lease

### V1ApplicantsResmanPostInputDateOfBirth

The date of birth associated with the applicant

### V1ApplicantsResmanPostInputMoveInDate

The move-in date associated with the lease

### V1ApplicantsResmanPostOutputMeta

- `job_id` (string, required)

### V1ApplicantsResmanPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lead_id` (string, required) — The Propexo unique identifier for the lead
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `application_date` (V1ApplicantsResmanPostOutputResultApplicationDate, required, nullable)
- `start_date` (V1ApplicantsResmanPostOutputResultStartDate, required, nullable)
- `end_date` (V1ApplicantsResmanPostOutputResultEndDate, required, nullable)
- `status` (enum, required) — The status associated with the application
  - Allowed values: `PENDING`, `APPROVED`, `CANCELED`, `DENIED`, `SIGNED`
- `first_name` (string, required, nullable) — The first name associated with the applicant
- `last_name` (string, required, nullable) — The last name associated with the applicant
- `date_of_birth` (V1ApplicantsResmanPostOutputResultDateOfBirth, required, nullable) — The date of birth associated with the applicant
- `address_1` (string, required, nullable) — The first address line associated with the applicant
- `city` (string, required, nullable) — The city associated with the applicant
- `state` (string, required, nullable) — The state associated with the applicant
- `zip` (string, required, nullable) — The zip code associated with the applicant
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `HOME`, `MOBILE`, `WORK`
- `rent_amount_market_in_cents` (integer, required, nullable) — The market rent amount in cents for the lease
- `move_in_date` (V1ApplicantsResmanPostOutputResultMoveInDate, required, nullable) — The move-in date associated with the lease
- `email_1` (string, required, nullable, deprecated) — Deprecated: The email field from the lead will be the email of the applicant. The primary email address associated with the applicant

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicantsResmanPostOutputResultApplicationDate

### V1ApplicantsResmanPostOutputResultStartDate

### V1ApplicantsResmanPostOutputResultEndDate

### V1ApplicantsResmanPostOutputResultDateOfBirth

The date of birth associated with the applicant

### V1ApplicantsResmanPostOutputResultMoveInDate

The move-in date associated with the lease

## Examples

**Request**

```json
{
  "integration_id": "int-987654321",
  "lead_id": "lead-123456789",
  "unit_id": "unit-456789123",
  "application_date": "2024-04-10T14:00:00Z",
  "start_date": "2024-05-01",
  "end_date": "2025-04-30",
  "status": "PENDING"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240410140000"
  },
  "result": {
    "integration_id": "int-987654321",
    "lead_id": "lead-123456789",
    "unit_id": "unit-456789123",
    "application_date": "2024-04-10T14:00:00Z",
    "start_date": "2024-05-01",
    "end_date": "2025-04-30",
    "status": "PENDING",
    "first_name": "Emily",
    "last_name": "Johnson",
    "date_of_birth": "1990-07-15",
    "address_1": "123 Maple Street",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "phone_1": "217-555-1234",
    "phone_1_type": "MOBILE",
    "phone_2": "217-555-5678",
    "phone_2_type": "HOME",
    "rent_amount_market_in_cents": 120000,
    "move_in_date": "2024-05-01",
    "email_1": "emily.johnson@example.com"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/resman/"

payload = {
    "integration_id": "int-987654321",
    "lead_id": "lead-123456789",
    "unit_id": "unit-456789123",
    "application_date": "2024-04-10T14:00:00Z",
    "start_date": "2024-05-01",
    "end_date": "2025-04-30",
    "status": "PENDING"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/resman/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"int-987654321","lead_id":"lead-123456789","unit_id":"unit-456789123","application_date":"2024-04-10T14:00:00Z","start_date":"2024-05-01","end_date":"2025-04-30","status":"PENDING"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/resman/"

	payload := strings.NewReader("{\n  \"integration_id\": \"int-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"unit_id\": \"unit-456789123\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/resman/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"int-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"unit_id\": \"unit-456789123\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/applicants/resman/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"int-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"unit_id\": \"unit-456789123\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/applicants/resman/', [
  'body' => '{
  "integration_id": "int-987654321",
  "lead_id": "lead-123456789",
  "unit_id": "unit-456789123",
  "application_date": "2024-04-10T14:00:00Z",
  "start_date": "2024-05-01",
  "end_date": "2025-04-30",
  "status": "PENDING"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/resman/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"int-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"unit_id\": \"unit-456789123\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "int-987654321",
  "lead_id": "lead-123456789",
  "unit_id": "unit-456789123",
  "application_date": "2024-04-10T14:00:00Z",
  "start_date": "2024-05-01",
  "end_date": "2025-04-30",
  "status": "PENDING"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/resman/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```